[build-system]
build-backend = "flit_core.buildapi"
requires = ["flit_core >=3.8.0,<4"]

[project]
name = "rougail"
version = "1.2.0a56"
authors = [{name = "Emmanuel Garette", email = "gnunux@gnunux.info"}]
description = "A consistency handling system that was initially designed in the configuration management"
classifiers = [
    "License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)",
    "Programming Language :: Python",
    "Operating System :: OS Independent",
    "Natural Language :: English",
    "Natural Language :: French",

]
dependencies = [
    "ruamel.yaml ~= 0.18.6",
    "pydantic ~= 2.9.2",
    "rougail-base == 1.2.0a56",
]

[tool.flit.sdist]
exclude = [
    "src/rougail/error.py",
    "src/rougail/i18n.py",
    "src/rougail/tiramisu.py",
    "src/rougail/user_datas.py",
    "src/rougail/utils.py",
    "src/rougail/__version__.py",
    ]

[project.urls]
Home = "https://forge.cloud.silique.fr/stove/rougail"
